Subject: Re: crash in atexit()

From: Scott Anderson <[email-masked]>
Date: Sun, 11 Nov 2001 14:49:10 -0800

Mark Pilon wrote:
> I'm SEGV'ing in atexit(), because of an apparently hard-coded
> null pointer dereference: [ the call to atexit() is made by
> __libc_start_main so I think I'm close to running ...]

This may be totally irrelevant, but I thought I would mention it just in
case it is useful.  At one point, I had to chase down a bug due to the
zero-page getting written to.  That bug was in early 405 kernels and was
due to a documentation defect in the 405GP documentation for the ZPR
register.  You might want to take a look and make sure that your
zero-page is still all zeroes.

    Scott Anderson
    [email-masked]   MontaVista Software Inc.
    (408)328-9214               1237 East Arques Ave.
    http://www.mvista.com       Sunnyvale, CA  94085

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/